classification
Title: NoReturn missing from __all__ in typing.py
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.8, Python 3.7, Python 3.6, Python 3.5, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: AllenTracht, gvanrossum, levkivskyi
Priority: normal Keywords: patch

Created on 2018-03-12 22:15 by AllenTracht, last changed 2018-03-23 21:47 by levkivskyi. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 6127 merged python-dev, 2018-03-16 19:56
PR 6162 merged levkivskyi, 2018-03-20 22:17
Messages (6)
msg313962 - (view) Author: Ivan Levkivskyi (levkivskyi) * (Python committer) Date: 2018-03-16 17:47
This is clearly a bug. Would you like to make a PR?
msg313963 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2018-03-16 17:51
Yes please! Updating __all__ is too easy to forget.

IIRC there are scripts that check for this but they are too strict.
msg314111 - (view) Author: Ivan Levkivskyi (levkivskyi) * (Python committer) Date: 2018-03-19 18:41
New changeset 4573820d2a9156346392838d455e89f33067e9dd by Ivan Levkivskyi (aetracht) in branch 'master':
bpo-33061: Add missing 'NoReturn' to __all__ in typing.py (GH-6127)
https://github.com/python/cpython/commit/4573820d2a9156346392838d455e89f33067e9dd
msg314170 - (view) Author: Ivan Levkivskyi (levkivskyi) * (Python committer) Date: 2018-03-20 22:07
I think it makes sense to also fix this in 3.7. I will prepare a backport now.
msg314335 - (view) Author: Ivan Levkivskyi (levkivskyi) * (Python committer) Date: 2018-03-23 21:44
New changeset ac5602746ed39ca6591e98e062e587121ac71371 by Ivan Levkivskyi in branch '3.7':
bpo-33061: Add missing 'NoReturn' to __all__ in typing.py (GH-6127) (#6162)
https://github.com/python/cpython/commit/ac5602746ed39ca6591e98e062e587121ac71371
msg314336 - (view) Author: Ivan Levkivskyi (levkivskyi) * (Python committer) Date: 2018-03-23 21:47
The typing repo PR is not merged yet, but I am closing this here, the remainder is tracked in typing repo.
History
Date User Action Args
2018-03-23 21:47:40levkivskyisetstatus: open -> closed
resolution: fixed
messages: + msg314336

stage: patch review -> resolved
2018-03-23 21:44:56levkivskyisetmessages: + msg314335
2018-03-20 22:17:35levkivskyisetpull_requests: + pull_request5918
2018-03-20 22:07:52levkivskyisetmessages: + msg314170
2018-03-19 18:41:40levkivskyisetmessages: + msg314111
2018-03-16 19:56:27python-devsetkeywords: + patch
stage: patch review
pull_requests: + pull_request5889
2018-03-16 17:51:34gvanrossumsetmessages: + msg313963
2018-03-16 17:47:54levkivskyisetnosy: + gvanrossum
2018-03-16 17:47:38levkivskyisetnosy: + levkivskyi
messages: + msg313962
2018-03-12 22:15:08AllenTrachtcreate